<?php
global $fullscreen_lite_themename;
global $fullscreen_lite_shortname;

/***********************************************
*  ENQUQUE CSS AND JAVASCRIPT
************************************************/
//ENQUEUE JQUERY 
function fullscreen_script_enqueqe() {
	global $fullscreen_lite_shortname;
	if(!is_admin()) {
		wp_enqueue_script('fullscreen_componentssimple_slide', get_template_directory_uri() .'/js/custom.js',array('jquery'),'1.0',1 );
		wp_enqueue_script("comment-reply");
	}

}
add_action('init', 'fullscreen_script_enqueqe');


//ENQUEUE STYLE FOR IE BROWSER
function fullscreen_IE_enqueue_scripts() {
	global $is_IE;
	if($is_IE ) {
		if ( !is_admin() ) {
			wp_register_style( 'ie-style', get_template_directory_uri().'/css/ie-style.css', false, $theme->Version );
			wp_enqueue_style( 'ie-style' );
			wp_register_style( 'awesome-theme-stylesheet', get_template_directory_uri().'/css/font-awesome-ie7.css', false, $theme->Version );
			wp_enqueue_style( 'awesome-theme-stylesheet' );
		}
	}
}
add_action( 'wp_enqueue_scripts', 'fullscreen_IE_enqueue_scripts' );

//ENQUEUE FRONT SCRIPTS
function fullscreen_theme_stylesheet()
{
	global $fullscreen_lite_themename;
	global $fullscreen_lite_shortname;
	if ( !is_admin() ) 
	{
		$theme = wp_get_theme();
		wp_enqueue_script('hoverIntent');
		wp_enqueue_script('fullscreen_superfish', get_template_directory_uri().'/js/superfish.js',array('jquery'),true,'1.0');
		wp_enqueue_script('fullscreen_AnimatedHeader', get_template_directory_uri().'/js/cbpAnimatedHeader.js',array('jquery'),true,'1.0');
		wp_enqueue_script('fullscreen_easing_slide',get_template_directory_uri().'/js/jquery.easing.1.3.js',array('jquery'),'1.0',true);
		wp_enqueue_script('fullscreen_waypoints',get_template_directory_uri().'/js/waypoints.js',array('jquery'),'1.0',true );
		
		wp_enqueue_style('fullscreen-style', get_stylesheet_uri());
		wp_enqueue_style('fullscreen-animation-stylesheet', get_template_directory_uri().'/css/skt-animation.css', false, $theme->Version);
		wp_enqueue_style('sktawesome-theme-stylesheet', get_template_directory_uri().'/css/font-awesome.css', false, $theme->Version);
		
		/*SUPERFISH*/
		wp_enqueue_style( 'sktddsmoothmenu-superfish-stylesheet', get_template_directory_uri().'/css/superfish.css', false, $theme->Version);
		wp_enqueue_style( 'bootstrap-responsive-theme-stylesheet', get_template_directory_uri().'/css/bootstrap-responsive.css', false, $theme->Version);
		
		/*GOOGLE FONTS*/
		wp_enqueue_style( 'googleFontsCarrois','//fonts.googleapis.com/css?family=Carrois+Gothic', false, $theme->Version);

	}
}
add_action('wp_enqueue_scripts', 'fullscreen_theme_stylesheet');

function fullscreen_head() {
	global $fullscreen_lite_shortname;
	$fullscreen_favicon = "";
	$fullscreen_meta = '<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;">'."\n";

	if(fullscreen_lite_get_option($fullscreen_lite_shortname.'_favicon')) {
		$fullscreen_favicon = esc_url(fullscreen_lite_get_option($fullscreen_lite_shortname.'_favicon','fullscreen-lite'));
		$fullscreen_meta .= "<link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"$fullscreen_favicon\"/>\n";
	}
	echo $fullscreen_meta;

	if(!is_admin()) {
		require_once(get_template_directory().'/includes/fullscreen-custom-css.php');
	}
 
}
add_action('wp_head', 'fullscreen_head');

//ENQUEUE FOOTER SCRIPT 
function fullscreen_footer_script() {
	global $fullscreen_lite_shortname;	
	
}
add_action('wp_footer', 'fullscreen_footer_script');